/* Public domain 2017. All rights waived */

h2 {
    font-size: 2.5em;
    margin: 1.5em 0em;
}

#reproducible-outputs .grid {
    margin: 3em auto 0em auto;
}

#timeline {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 3em auto;
}

#timeline-today {
    border-color: #F4BB15;
    border-radius: 0.3em;
    border-style: none none solid none;
    margin: auto;
    max-width: 500px;
    padding: 1em;
}

#timeline-lapse {
    background-image: url("../../../static/base/img/timeline-lapse-arrow-down.svg"),
                      url("../../../static/base/img/timeline-lapse-dot-down.svg");
    background-position-x: center, center;
    background-position-y: bottom, top;
    background-repeat: no-repeat, repeat-y;
    margin: 2em auto;
    max-width: 500px;
    min-height: 100px;
    padding: 2em 0em;
}

#timeline-lapse a {
    display: inline-block;
    background-color: #3D3D3D;
    border-radius: 0.3em;
    padding: 0.5em;
    vertical-align: middle;
}

#timeline-future {
    border-color: #F4BB15;
    border-radius: 0.3em;
    border-style: solid none none none;
    margin: auto;
    max-width: 500px;
    padding: 1em;
}

#one-language {
    background-color: #3B285C;
    background-image: url("../img/depression-shadow-top.png"),
                      url("../img/depression-shadow-bottom.png"),
                      url("../../../static/base/img/background-pattern-white-dots.svg");
    background-position: top, bottom, top;
    background-repeat: repeat-x, repeat-x, repeat;
    padding: 1em;
}

#all-free-software {
    background-color: #FFCC00;
    background-image: url("../img/background-pattern-checkerboard-dark.svg");
    background-repeat: repeat;
    padding: 1em;
}

#guix-in-your-field {
    background-image: url("../img/depression-shadow-top.png");
    background-position: top;
    background-repeat: repeat-x;
    text-align: center;
    padding: 1em 1em 4.5em 1em;
}

#get-guix-system {
    background-color: #22241C;
}

#blog-latest-posts,
#contact-info {
    padding: 1em 0em;
}

#blog-latest-posts .item-preview:link,
#blog-latest-posts .item-preview:visited,
#contact-info .item-preview:link,
#contact-info .item-preview:visited {
    color: #E6E6E6;
}

#blog-latest-posts .item-preview:active,
#blog-latest-posts .item-preview:focus,
#blog-latest-posts .item-preview:hover,
#contact-info .item-preview:active,
#contact-info .item-preview:focus,
#contact-info .item-preview:hover {
    color: #1A1A1A;
}

#blog-latest-posts .item-preview h3,
#contact-info .item-preview h3 {
    color: #E6E6E6;
}

#blog-latest-posts .item-preview:active h3,
#blog-latest-posts .item-preview:focus h3,
#blog-latest-posts .item-preview:hover h3,
#contact-info .item-preview:active h3,
#contact-info .item-preview:focus h3,
#contact-info .item-preview:hover h3 {
    color: #1A1A1A;
}

.action-box {
    padding: 40px 0px;
}

.featured-content {
    background-color: #3D3D3D;
    background-image: url("../img/checkerboard-bg.png"),
                      url("../img/featured-box-bg.png");
    background-position: top, bottom;
    background-repeat: repeat, repeat-x;
    border-color: black;
    border-style: none none solid none;
    border-width: thin;
    color: white;
    padding: 1.5em 1em;
}

.featured-content .summary {
    font-size: 1.5em;
}

.panel {
    /* ... */
}

.panel > div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 4em 3em;
    text-align: center;
}

.panel h2 {
    margin-bottom: 1em;
    margin-top: 0em;
}

.panel p {
    font-size: 1.5em;
    margin-bottom: 2em;
}

.panel .button-big {
    margin: 0em 1em 0em 0em;
}

.panel-dark,
.panel-light {
    border-color: black;
    border-style: none none solid none;
    border-width: thin;
}

.panel-dark {
    background-color: #1A1A1A;
    background-image: url("../img/h-separator.svg");
    background-position: top center;
    background-repeat: no-repeat;
    color: #E6E6E6;
}

.panel-dark h2 {
    color: #E6E6E6;
}

.panel-light {
    background-color: #E6E6E6;
    color: #1A1A1A;
}

.panel-light h2 {
    color: #1A1A1A;
}

.panel-light .button-big:link,
.panel-light .button-big:visited {
    border-color: #1A1A1A;
}

.panel-light .button-big:active,
.panel-light .button-big:focus,
.panel-light .button-big:hover {
    border-color: darkmagenta;
    color: darkmagenta;
}

.button-big:link,
.button-big:visited {
    display: block;
}

.discovery-box {
    background-color: #333;
    background-image: url("../img/depression-shadow-top.png"),
                      url("../img/noise-bg.png");
    background-repeat: repeat-x, repeat;
    border-color: black;
    border-style: none none solid none;
    border-width: thin;
    color: #E6E6E6;
    padding: 2em 1em 4em 1em;
    text-align: center;
}

.discovery-box h2,
.discovery-box h3 {
    color: #E6E6E6;
}


@media screen and (min-width: 480px) {
    .button-big:link,
    .button-big:visited {
	display: inline-block;
    }
}


@media screen and (min-width: 850px) {
    #timeline {
        flex-direction: row;
        flex-wrap: no-wrap;
        margin: 0em auto;
    }

    #timeline-today {
        flex: initial;
        border-style: none solid none none;
        max-width: 200px;
        padding: 0em 1em 0em 0em;
        margin-right: 0.5em;
        text-align: right;
    }

    #timeline-lapse {
        flex: auto;
        background-image: url("../../../static/base/img/timeline-lapse-arrow.svg"),
                          url("../../../static/base/img/timeline-lapse-dot.svg");
        background-position-x: right, left;
        background-position-y: center, center;
        background-repeat: no-repeat, repeat-x;
        max-width: unset;
    }

    #timeline-lapse a {
        background-color: transparent;
    }

    #timeline-future {
        flex: initial;
        border-style: none none none solid;
        max-width: 200px;
        padding: 0em 0em 0em 1em;
        margin-left: 0.5em;
        text-align: left;
    }
}


@media screen and (min-width: 960px) {
    .panel > div {
        flex-direction: row;
        text-align: left;
    }
}


@media screen and (min-width: 1024px) {
    #blog-latest-posts .item-preview:active,
    #blog-latest-posts .item-preview:focus,
    #blog-latest-posts .item-preview:hover,
    #contact-info .item-preview:active,
    #contact-info .item-preview:focus,
    #contact-info .item-preview:hover {
        color: #E6E6E6;
    }

    #blog-latest-posts .item-preview:active h3,
    #blog-latest-posts .item-preview:focus h3,
    #blog-latest-posts .item-preview:hover h3,
    #contact-info .item-preview:active h3,
    #contact-info .item-preview:focus h3,
    #contact-info .item-preview:hover h3 {
        color: #E6E6E6;
    }
}
